<html>
<head>
	<title></title>
	<meta charset="utf-8"/>
</head>
<body>
					<hr/><h2>The one and only part</h2>
					<form id='qp1'>
									<p>What is the course code for this semester's best course?</p>
									<input type='text' id='qp1__q_0' name='qp1__q_0'/>
								
									<p>Do you like this course?</p>
									<div id="qp1__q_1">
										<input type="radio" name='qp1__q_1'>
											Yes
										</input><br/>
										<input type="radio" name='qp1__q_1'>
											No
										</input><br/>
									</div>
								
					</form>
					<p/><button onclick='checkQp1()'>Check The one and only part</button>
<script type="text/javascript">
function isArray(o) {
	return o.length !== undefined;
}

function getInputElement(name) {
	return document.getElementById(name);
}

function hasModifier(s, mod) {
	return s.indexOf(mod) >= 0;
}

function checkInputEquals(input, prop, value, modifiers) {
	if (typeof input === 'string') {
		input = getInputElement(input);
	}
	var inputValue = input[prop];
	if (hasModifier(modifiers, '_')) {
		inputValue = inputValue.toLowerCase();
	}
	var matches = (inputValue == value);
	if (hasModifier(modifiers, '~')) {
		var regexpObject = new RegExp(value, "");
		matches = regexpObject.test(inputValue);
	}
	return [input, matches];
}

function validatedInput(result) {
	var input = result[0];
	if (isArray(input)) {
		for (var i = 0; i < result.length; i++) {
			validatedInput(result[i]);
		}
		return;
	}
	var valid = true;
	for (var i = 1; i < result.length; i++) {
		if (! result[i]) {
			valid = false;
		}
	}
	var color = "YellowGreen";
	if (! valid) {
		color = "Red";
	}
	input.style.backgroundColor = color;
}
				function checkQp1() {
					validatedInput(checkQp1__q_0());
					validatedInput(checkQp1__q_1());
				}
							function checkQp1__q_0() {
						  		var input = getInputElement('qp1__q_0');
								return checkInputEquals('qp1__q_0', 'value', 'TDT4250', '');
							}
						
							function checkQp1__q_1() {
								var input = getInputElement('qp1__q_1');
								var inputs = input.getElementsByTagName("input")
								return [input, inputs[0].checked === true, inputs[1].checked === false];
							}
			
</script>
</body></html>
